RHEL 5 : systemtap (RHSA-2011:0841)

Low Nessus Plugin ID 54929


The remote Red Hat host is missing one or more security updates.


Updated systemtap packages that fix one security issue are now available for Red Hat Enterprise Linux 5.

The Red Hat Security Response Team has rated this update as having moderate security impact. A Common Vulnerability Scoring System (CVSS) base score, which gives a detailed severity rating, is available from the CVE link in the References section.

SystemTap is an instrumentation system for systems running the Linux kernel, version 2.6. Developers can write scripts to collect data on the operation of the system.

A divide-by-zero flaw was found in the way SystemTap handled malformed debugging information in DWARF format. When SystemTap unprivileged mode was enabled, an unprivileged user in the stapusr group could use this flaw to crash the system. Additionally, a privileged user (root, or a member of the stapdev group) could trigger this flaw when tricked into instrumenting a specially crafted ELF binary, even when unprivileged mode was not enabled. (CVE-2011-1769)

SystemTap users should upgrade to these updated packages, which contain a backported patch to correct this issue.


Update the affected packages.

See Also



Plugin Details

Severity: Low

ID: 54929

File Name: redhat-RHSA-2011-0841.nasl

Version: $Revision: 1.12 $

Type: local

Agent: unix

Published: 2011/06/01

Modified: 2017/01/04

Dependencies: 12634

Risk Information

Risk Factor: Low


Base Score: 1.2

Temporal Score: 1

Vector: CVSS2#AV:L/AC:H/Au:N/C:N/I:N/A:P

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:redhat:enterprise_linux:systemtap, p-cpe:/a:redhat:enterprise_linux:systemtap-client, p-cpe:/a:redhat:enterprise_linux:systemtap-initscript, p-cpe:/a:redhat:enterprise_linux:systemtap-runtime, p-cpe:/a:redhat:enterprise_linux:systemtap-sdt-devel, p-cpe:/a:redhat:enterprise_linux:systemtap-server, p-cpe:/a:redhat:enterprise_linux:systemtap-testsuite, cpe:/o:redhat:enterprise_linux:5, cpe:/o:redhat:enterprise_linux:5.6

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2011/05/31

Reference Information

CVE: CVE-2011-1769, CVE-2011-1781

BID: 47934

RHSA: 2011:0841